[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

xinerama bug with latest kwin 3.5.10-1/3.5.10.dfsg.1-2

Package: kwin
Version: 3.5.10-1

Just to confirm, I have the same bug after running apt-get dist-upgrade today, windows maximize incorrectly, xterms go to the wrong monitors, etc.


Fix/work-around, download this (for i386):

# dpkg -i kwin_3.5.9.dfsg.1-6_i386.deb
dpkg - warning: downgrading kwin from 4:3.5.10.dfsg.1-2 to 4:3.5.9.dfsg.1-6.
(Reading database ... 159424 files and directories currently installed.)
Preparing to replace kwin 4:3.5.10.dfsg.1-2 (using kwin_3.5.9.dfsg.1-6_i386.deb) ...
Unpacking replacement kwin ...
Setting up kwin (4:3.5.9.dfsg.1-6) ...

Add this to your /etc/apt/preferences:
Package: kwin
Pin: version 3.5.9*
Pin-Priority: 1000

This fixes the problem for now until a new version of kwin is release w/xinerama support.


Reply to: